
module Data.DOM.CSSMediaRule
       (insertRule, deleteRule, get'media, getm'media, get'cssRules,
        getm'cssRules)
       where
import Data.DOM.Css
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Views
import Data.DOM.Stylesheets
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
insertRule ::
           (Monad mn, CCSSMediaRule this) =>
             Expression String ->
               Expression Double -> Expression this -> mn (Expression Double)
insertRule a b thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "insertRule")
       return (CallExpr et r [a /\ et, b /\ et])
 
deleteRule ::
           (Monad mn, CCSSMediaRule this) =>
             Expression Double -> Expression this -> mn (Expression ())
deleteRule a thisp
  = do let et = undefined :: ()
       let r = DotRef et (thisp /\ et) (Id et "deleteRule")
       return (CallExpr et r [a /\ et])
 
get'media ::
          (Monad mn, CCSSMediaRule this, CMediaList zz) =>
            Expression this -> mn (Expression zz)
get'media thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "media")
       return r
 
getm'media ::
           (Monad mn, CCSSMediaRule this) =>
             Expression this -> mn (Expression TMediaList)
getm'media = get'media
 
get'cssRules ::
             (Monad mn, CCSSMediaRule this, CCSSRuleList zz) =>
               Expression this -> mn (Expression zz)
get'cssRules thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "cssRules")
       return r
 
getm'cssRules ::
              (Monad mn, CCSSMediaRule this) =>
                Expression this -> mn (Expression TCSSRuleList)
getm'cssRules = get'cssRules

