
module Data.DOM.CSSValue
       (cCSS_INHERIT, cCSS_PRIMITIVE_VALUE, cCSS_VALUE_LIST, cCSS_CUSTOM,
        set'cssText, get'cssText, getm'cssText, get'cssValueType,
        getm'cssValueType)
       where
import Data.DOM.Css
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Views
import Data.DOM.Stylesheets
import Data.DOM.Dom
import Data.DOM.Document (createElement)
cCSS_INHERIT = 0
cCSS_PRIMITIVE_VALUE = 1
cCSS_VALUE_LIST = 2
cCSS_CUSTOM = 3
 
set'cssText ::
            (Monad mn, CCSSValue zz) =>
              Expression String -> Expression zz -> mn (Expression zz)
set'cssText = setjsProperty "cssText"
 
get'cssText ::
            (Monad mn, CCSSValue this) =>
              Expression this -> mn (Expression String)
get'cssText thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "cssText")
       return r
 
getm'cssText ::
             (Monad mn, CCSSValue this) =>
               Expression this -> mn (Expression String)
getm'cssText = get'cssText
 
get'cssValueType ::
                 (Monad mn, CCSSValue this) =>
                   Expression this -> mn (Expression Double)
get'cssValueType thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "cssValueType")
       return r
 
getm'cssValueType ::
                  (Monad mn, CCSSValue this) =>
                    Expression this -> mn (Expression Double)
getm'cssValueType = get'cssValueType

