
module Data.DOM.HTMLAnchorElement
       (blur, focus, set'accessKey, get'accessKey, getm'accessKey,
        set'charset, get'charset, getm'charset, set'coords, get'coords,
        getm'coords, set'href, get'href, getm'href, set'hreflang,
        get'hreflang, getm'hreflang, set'name, get'name, getm'name,
        set'rel, get'rel, getm'rel, set'rev, get'rev, getm'rev, set'shape,
        get'shape, getm'shape, set'tabIndex, get'tabIndex, getm'tabIndex,
        set'target, get'target, getm'target, set'type, get'type, getm'type)
       where
import Data.DOM.Html2
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
blur ::
     (Monad mn, CHTMLAnchorElement this) =>
       Expression this -> mn (Expression ())
blur thisp
  = do let et = undefined :: ()
       let r = DotRef et (thisp /\ et) (Id et "blur")
       return (CallExpr et r [])
 
focus ::
      (Monad mn, CHTMLAnchorElement this) =>
        Expression this -> mn (Expression ())
focus thisp
  = do let et = undefined :: ()
       let r = DotRef et (thisp /\ et) (Id et "focus")
       return (CallExpr et r [])
 
set'accessKey ::
              (Monad mn, CHTMLAnchorElement zz) =>
                Expression String -> Expression zz -> mn (Expression zz)
set'accessKey = setjsProperty "accessKey"
 
get'accessKey ::
              (Monad mn, CHTMLAnchorElement this) =>
                Expression this -> mn (Expression String)
get'accessKey thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "accessKey")
       return r
 
getm'accessKey ::
               (Monad mn, CHTMLAnchorElement this) =>
                 Expression this -> mn (Expression String)
getm'accessKey = get'accessKey
 
set'charset ::
            (Monad mn, CHTMLAnchorElement zz) =>
              Expression String -> Expression zz -> mn (Expression zz)
set'charset = setjsProperty "charset"
 
get'charset ::
            (Monad mn, CHTMLAnchorElement this) =>
              Expression this -> mn (Expression String)
get'charset thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "charset")
       return r
 
getm'charset ::
             (Monad mn, CHTMLAnchorElement this) =>
               Expression this -> mn (Expression String)
getm'charset = get'charset
 
set'coords ::
           (Monad mn, CHTMLAnchorElement zz) =>
             Expression String -> Expression zz -> mn (Expression zz)
set'coords = setjsProperty "coords"
 
get'coords ::
           (Monad mn, CHTMLAnchorElement this) =>
             Expression this -> mn (Expression String)
get'coords thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "coords")
       return r
 
getm'coords ::
            (Monad mn, CHTMLAnchorElement this) =>
              Expression this -> mn (Expression String)
getm'coords = get'coords
 
set'href ::
         (Monad mn, CHTMLAnchorElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'href = setjsProperty "href"
 
get'href ::
         (Monad mn, CHTMLAnchorElement this) =>
           Expression this -> mn (Expression String)
get'href thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "href")
       return r
 
getm'href ::
          (Monad mn, CHTMLAnchorElement this) =>
            Expression this -> mn (Expression String)
getm'href = get'href
 
set'hreflang ::
             (Monad mn, CHTMLAnchorElement zz) =>
               Expression String -> Expression zz -> mn (Expression zz)
set'hreflang = setjsProperty "hreflang"
 
get'hreflang ::
             (Monad mn, CHTMLAnchorElement this) =>
               Expression this -> mn (Expression String)
get'hreflang thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "hreflang")
       return r
 
getm'hreflang ::
              (Monad mn, CHTMLAnchorElement this) =>
                Expression this -> mn (Expression String)
getm'hreflang = get'hreflang
 
set'name ::
         (Monad mn, CHTMLAnchorElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'name = setjsProperty "name"
 
get'name ::
         (Monad mn, CHTMLAnchorElement this) =>
           Expression this -> mn (Expression String)
get'name thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "name")
       return r
 
getm'name ::
          (Monad mn, CHTMLAnchorElement this) =>
            Expression this -> mn (Expression String)
getm'name = get'name
 
set'rel ::
        (Monad mn, CHTMLAnchorElement zz) =>
          Expression String -> Expression zz -> mn (Expression zz)
set'rel = setjsProperty "rel"
 
get'rel ::
        (Monad mn, CHTMLAnchorElement this) =>
          Expression this -> mn (Expression String)
get'rel thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "rel")
       return r
 
getm'rel ::
         (Monad mn, CHTMLAnchorElement this) =>
           Expression this -> mn (Expression String)
getm'rel = get'rel
 
set'rev ::
        (Monad mn, CHTMLAnchorElement zz) =>
          Expression String -> Expression zz -> mn (Expression zz)
set'rev = setjsProperty "rev"
 
get'rev ::
        (Monad mn, CHTMLAnchorElement this) =>
          Expression this -> mn (Expression String)
get'rev thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "rev")
       return r
 
getm'rev ::
         (Monad mn, CHTMLAnchorElement this) =>
           Expression this -> mn (Expression String)
getm'rev = get'rev
 
set'shape ::
          (Monad mn, CHTMLAnchorElement zz) =>
            Expression String -> Expression zz -> mn (Expression zz)
set'shape = setjsProperty "shape"
 
get'shape ::
          (Monad mn, CHTMLAnchorElement this) =>
            Expression this -> mn (Expression String)
get'shape thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "shape")
       return r
 
getm'shape ::
           (Monad mn, CHTMLAnchorElement this) =>
             Expression this -> mn (Expression String)
getm'shape = get'shape
 
set'tabIndex ::
             (Monad mn, CHTMLAnchorElement zz) =>
               Expression Double -> Expression zz -> mn (Expression zz)
set'tabIndex = setjsProperty "tabIndex"
 
get'tabIndex ::
             (Monad mn, CHTMLAnchorElement this) =>
               Expression this -> mn (Expression Double)
get'tabIndex thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "tabIndex")
       return r
 
getm'tabIndex ::
              (Monad mn, CHTMLAnchorElement this) =>
                Expression this -> mn (Expression Double)
getm'tabIndex = get'tabIndex
 
set'target ::
           (Monad mn, CHTMLAnchorElement zz) =>
             Expression String -> Expression zz -> mn (Expression zz)
set'target = setjsProperty "target"
 
get'target ::
           (Monad mn, CHTMLAnchorElement this) =>
             Expression this -> mn (Expression String)
get'target thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "target")
       return r
 
getm'target ::
            (Monad mn, CHTMLAnchorElement this) =>
              Expression this -> mn (Expression String)
getm'target = get'target
 
set'type ::
         (Monad mn, CHTMLAnchorElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'type = setjsProperty "type"
 
get'type ::
         (Monad mn, CHTMLAnchorElement this) =>
           Expression this -> mn (Expression String)
get'type thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "type")
       return r
 
getm'type ::
          (Monad mn, CHTMLAnchorElement this) =>
            Expression this -> mn (Expression String)
getm'type = get'type

