
module Data.DOM.HTMLFormElement
       (submit, reset, get'elements, getm'elements, get'length,
        getm'length, set'name, get'name, getm'name, set'acceptCharset,
        get'acceptCharset, getm'acceptCharset, set'action, get'action,
        getm'action, set'enctype, get'enctype, getm'enctype, set'method,
        get'method, getm'method, set'target, get'target, getm'target,
        mkForm)
       where
import Data.DOM.Html2
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
submit ::
       (Monad mn, CHTMLFormElement this) =>
         Expression this -> mn (Expression ())
submit thisp
  = do let et = undefined :: ()
       let r = DotRef et (thisp /\ et) (Id et "submit")
       return (CallExpr et r [])
 
reset ::
      (Monad mn, CHTMLFormElement this) =>
        Expression this -> mn (Expression ())
reset thisp
  = do let et = undefined :: ()
       let r = DotRef et (thisp /\ et) (Id et "reset")
       return (CallExpr et r [])
 
get'elements ::
             (Monad mn, CHTMLFormElement this, CHTMLCollection zz) =>
               Expression this -> mn (Expression zz)
get'elements thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "elements")
       return r
 
getm'elements ::
              (Monad mn, CHTMLFormElement this) =>
                Expression this -> mn (Expression THTMLCollection)
getm'elements = get'elements
 
get'length ::
           (Monad mn, CHTMLFormElement this) =>
             Expression this -> mn (Expression Double)
get'length thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "length")
       return r
 
getm'length ::
            (Monad mn, CHTMLFormElement this) =>
              Expression this -> mn (Expression Double)
getm'length = get'length
 
set'name ::
         (Monad mn, CHTMLFormElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'name = setjsProperty "name"
 
get'name ::
         (Monad mn, CHTMLFormElement this) =>
           Expression this -> mn (Expression String)
get'name thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "name")
       return r
 
getm'name ::
          (Monad mn, CHTMLFormElement this) =>
            Expression this -> mn (Expression String)
getm'name = get'name
 
set'acceptCharset ::
                  (Monad mn, CHTMLFormElement zz) =>
                    Expression String -> Expression zz -> mn (Expression zz)
set'acceptCharset = setjsProperty "acceptCharset"
 
get'acceptCharset ::
                  (Monad mn, CHTMLFormElement this) =>
                    Expression this -> mn (Expression String)
get'acceptCharset thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "acceptCharset")
       return r
 
getm'acceptCharset ::
                   (Monad mn, CHTMLFormElement this) =>
                     Expression this -> mn (Expression String)
getm'acceptCharset = get'acceptCharset
 
set'action ::
           (Monad mn, CHTMLFormElement zz) =>
             Expression String -> Expression zz -> mn (Expression zz)
set'action = setjsProperty "action"
 
get'action ::
           (Monad mn, CHTMLFormElement this) =>
             Expression this -> mn (Expression String)
get'action thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "action")
       return r
 
getm'action ::
            (Monad mn, CHTMLFormElement this) =>
              Expression this -> mn (Expression String)
getm'action = get'action
 
set'enctype ::
            (Monad mn, CHTMLFormElement zz) =>
              Expression String -> Expression zz -> mn (Expression zz)
set'enctype = setjsProperty "enctype"
 
get'enctype ::
            (Monad mn, CHTMLFormElement this) =>
              Expression this -> mn (Expression String)
get'enctype thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "enctype")
       return r
 
getm'enctype ::
             (Monad mn, CHTMLFormElement this) =>
               Expression this -> mn (Expression String)
getm'enctype = get'enctype
 
set'method ::
           (Monad mn, CHTMLFormElement zz) =>
             Expression String -> Expression zz -> mn (Expression zz)
set'method = setjsProperty "method"
 
get'method ::
           (Monad mn, CHTMLFormElement this) =>
             Expression this -> mn (Expression String)
get'method thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "method")
       return r
 
getm'method ::
            (Monad mn, CHTMLFormElement this) =>
              Expression this -> mn (Expression String)
getm'method = get'method
 
set'target ::
           (Monad mn, CHTMLFormElement zz) =>
             Expression String -> Expression zz -> mn (Expression zz)
set'target = setjsProperty "target"
 
get'target ::
           (Monad mn, CHTMLFormElement this) =>
             Expression this -> mn (Expression String)
get'target thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "target")
       return r
 
getm'target ::
            (Monad mn, CHTMLFormElement this) =>
              Expression this -> mn (Expression String)
getm'target = get'target
 
mkForm ::
       (Monad mn, CHTMLDocument a) =>
         Expression a -> mn (Expression THTMLFormElement)
mkForm = createElement (StringLit "form" "form")

