
module Data.DOM.HTMLFrameElement
       (set'frameBorder, get'frameBorder, getm'frameBorder, set'longDesc,
        get'longDesc, getm'longDesc, set'marginHeight, get'marginHeight,
        getm'marginHeight, set'marginWidth, get'marginWidth,
        getm'marginWidth, set'name, get'name, getm'name, set'noResize,
        get'noResize, getm'noResize, set'scrolling, get'scrolling,
        getm'scrolling, set'src, get'src, getm'src, get'contentDocument,
        getm'contentDocument, mkFrame)
       where
import Data.DOM.Html2
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
set'frameBorder ::
                (Monad mn, CHTMLFrameElement zz) =>
                  Expression String -> Expression zz -> mn (Expression zz)
set'frameBorder = setjsProperty "frameBorder"
 
get'frameBorder ::
                (Monad mn, CHTMLFrameElement this) =>
                  Expression this -> mn (Expression String)
get'frameBorder thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "frameBorder")
       return r
 
getm'frameBorder ::
                 (Monad mn, CHTMLFrameElement this) =>
                   Expression this -> mn (Expression String)
getm'frameBorder = get'frameBorder
 
set'longDesc ::
             (Monad mn, CHTMLFrameElement zz) =>
               Expression String -> Expression zz -> mn (Expression zz)
set'longDesc = setjsProperty "longDesc"
 
get'longDesc ::
             (Monad mn, CHTMLFrameElement this) =>
               Expression this -> mn (Expression String)
get'longDesc thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "longDesc")
       return r
 
getm'longDesc ::
              (Monad mn, CHTMLFrameElement this) =>
                Expression this -> mn (Expression String)
getm'longDesc = get'longDesc
 
set'marginHeight ::
                 (Monad mn, CHTMLFrameElement zz) =>
                   Expression String -> Expression zz -> mn (Expression zz)
set'marginHeight = setjsProperty "marginHeight"
 
get'marginHeight ::
                 (Monad mn, CHTMLFrameElement this) =>
                   Expression this -> mn (Expression String)
get'marginHeight thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "marginHeight")
       return r
 
getm'marginHeight ::
                  (Monad mn, CHTMLFrameElement this) =>
                    Expression this -> mn (Expression String)
getm'marginHeight = get'marginHeight
 
set'marginWidth ::
                (Monad mn, CHTMLFrameElement zz) =>
                  Expression String -> Expression zz -> mn (Expression zz)
set'marginWidth = setjsProperty "marginWidth"
 
get'marginWidth ::
                (Monad mn, CHTMLFrameElement this) =>
                  Expression this -> mn (Expression String)
get'marginWidth thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "marginWidth")
       return r
 
getm'marginWidth ::
                 (Monad mn, CHTMLFrameElement this) =>
                   Expression this -> mn (Expression String)
getm'marginWidth = get'marginWidth
 
set'name ::
         (Monad mn, CHTMLFrameElement zz) =>
           Expression String -> Expression zz -> mn (Expression zz)
set'name = setjsProperty "name"
 
get'name ::
         (Monad mn, CHTMLFrameElement this) =>
           Expression this -> mn (Expression String)
get'name thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "name")
       return r
 
getm'name ::
          (Monad mn, CHTMLFrameElement this) =>
            Expression this -> mn (Expression String)
getm'name = get'name
 
set'noResize ::
             (Monad mn, CHTMLFrameElement zz) =>
               Expression Bool -> Expression zz -> mn (Expression zz)
set'noResize = setjsProperty "noResize"
 
get'noResize ::
             (Monad mn, CHTMLFrameElement this) =>
               Expression this -> mn (Expression Bool)
get'noResize thisp
  = do let et = undefined :: Bool
       let r = DotRef et (thisp /\ et) (Id et "noResize")
       return r
 
getm'noResize ::
              (Monad mn, CHTMLFrameElement this) =>
                Expression this -> mn (Expression Bool)
getm'noResize = get'noResize
 
set'scrolling ::
              (Monad mn, CHTMLFrameElement zz) =>
                Expression String -> Expression zz -> mn (Expression zz)
set'scrolling = setjsProperty "scrolling"
 
get'scrolling ::
              (Monad mn, CHTMLFrameElement this) =>
                Expression this -> mn (Expression String)
get'scrolling thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "scrolling")
       return r
 
getm'scrolling ::
               (Monad mn, CHTMLFrameElement this) =>
                 Expression this -> mn (Expression String)
getm'scrolling = get'scrolling
 
set'src ::
        (Monad mn, CHTMLFrameElement zz) =>
          Expression String -> Expression zz -> mn (Expression zz)
set'src = setjsProperty "src"
 
get'src ::
        (Monad mn, CHTMLFrameElement this) =>
          Expression this -> mn (Expression String)
get'src thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "src")
       return r
 
getm'src ::
         (Monad mn, CHTMLFrameElement this) =>
           Expression this -> mn (Expression String)
getm'src = get'src
 
get'contentDocument ::
                    (Monad mn, CHTMLFrameElement this, CDocument zz) =>
                      Expression this -> mn (Expression zz)
get'contentDocument thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "contentDocument")
       return r
 
getm'contentDocument ::
                     (Monad mn, CHTMLFrameElement this) =>
                       Expression this -> mn (Expression TDocument)
getm'contentDocument = get'contentDocument
 
mkFrame ::
        (Monad mn, CHTMLDocument a) =>
          Expression a -> mn (Expression THTMLFrameElement)
mkFrame = createElement (StringLit "frame" "frame")

