
module Data.DOM.HTMLTableRowElement
       (insertCell, deleteCell, get'rowIndex, getm'rowIndex,
        get'sectionRowIndex, getm'sectionRowIndex, get'cells, getm'cells,
        set'align, get'align, getm'align, set'bgColor, get'bgColor,
        getm'bgColor, set'ch, get'ch, getm'ch, set'chOff, get'chOff,
        getm'chOff, set'vAlign, get'vAlign, getm'vAlign, mkTr)
       where
import Data.DOM.Html2
import Control.Monad
import BrownPLT.JavaScript
import Data.DOM.WBTypes
import Data.DOM.Dom
import Data.DOM.Document (createElement)
 
insertCell ::
           (Monad mn, CHTMLTableRowElement this, CHTMLElement zz) =>
             Expression Double -> Expression this -> mn (Expression zz)
insertCell a thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "insertCell")
       return (CallExpr et r [a /\ et])
 
deleteCell ::
           (Monad mn, CHTMLTableRowElement this) =>
             Expression Double -> Expression this -> mn (Expression ())
deleteCell a thisp
  = do let et = undefined :: ()
       let r = DotRef et (thisp /\ et) (Id et "deleteCell")
       return (CallExpr et r [a /\ et])
 
get'rowIndex ::
             (Monad mn, CHTMLTableRowElement this) =>
               Expression this -> mn (Expression Double)
get'rowIndex thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "rowIndex")
       return r
 
getm'rowIndex ::
              (Monad mn, CHTMLTableRowElement this) =>
                Expression this -> mn (Expression Double)
getm'rowIndex = get'rowIndex
 
get'sectionRowIndex ::
                    (Monad mn, CHTMLTableRowElement this) =>
                      Expression this -> mn (Expression Double)
get'sectionRowIndex thisp
  = do let et = undefined :: Double
       let r = DotRef et (thisp /\ et) (Id et "sectionRowIndex")
       return r
 
getm'sectionRowIndex ::
                     (Monad mn, CHTMLTableRowElement this) =>
                       Expression this -> mn (Expression Double)
getm'sectionRowIndex = get'sectionRowIndex
 
get'cells ::
          (Monad mn, CHTMLTableRowElement this, CHTMLCollection zz) =>
            Expression this -> mn (Expression zz)
get'cells thisp
  = do let et = undefined :: zz
       let r = DotRef et (thisp /\ et) (Id et "cells")
       return r
 
getm'cells ::
           (Monad mn, CHTMLTableRowElement this) =>
             Expression this -> mn (Expression THTMLCollection)
getm'cells = get'cells
 
set'align ::
          (Monad mn, CHTMLTableRowElement zz) =>
            Expression String -> Expression zz -> mn (Expression zz)
set'align = setjsProperty "align"
 
get'align ::
          (Monad mn, CHTMLTableRowElement this) =>
            Expression this -> mn (Expression String)
get'align thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "align")
       return r
 
getm'align ::
           (Monad mn, CHTMLTableRowElement this) =>
             Expression this -> mn (Expression String)
getm'align = get'align
 
set'bgColor ::
            (Monad mn, CHTMLTableRowElement zz) =>
              Expression String -> Expression zz -> mn (Expression zz)
set'bgColor = setjsProperty "bgColor"
 
get'bgColor ::
            (Monad mn, CHTMLTableRowElement this) =>
              Expression this -> mn (Expression String)
get'bgColor thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "bgColor")
       return r
 
getm'bgColor ::
             (Monad mn, CHTMLTableRowElement this) =>
               Expression this -> mn (Expression String)
getm'bgColor = get'bgColor
 
set'ch ::
       (Monad mn, CHTMLTableRowElement zz) =>
         Expression String -> Expression zz -> mn (Expression zz)
set'ch = setjsProperty "ch"
 
get'ch ::
       (Monad mn, CHTMLTableRowElement this) =>
         Expression this -> mn (Expression String)
get'ch thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "ch")
       return r
 
getm'ch ::
        (Monad mn, CHTMLTableRowElement this) =>
          Expression this -> mn (Expression String)
getm'ch = get'ch
 
set'chOff ::
          (Monad mn, CHTMLTableRowElement zz) =>
            Expression String -> Expression zz -> mn (Expression zz)
set'chOff = setjsProperty "chOff"
 
get'chOff ::
          (Monad mn, CHTMLTableRowElement this) =>
            Expression this -> mn (Expression String)
get'chOff thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "chOff")
       return r
 
getm'chOff ::
           (Monad mn, CHTMLTableRowElement this) =>
             Expression this -> mn (Expression String)
getm'chOff = get'chOff
 
set'vAlign ::
           (Monad mn, CHTMLTableRowElement zz) =>
             Expression String -> Expression zz -> mn (Expression zz)
set'vAlign = setjsProperty "vAlign"
 
get'vAlign ::
           (Monad mn, CHTMLTableRowElement this) =>
             Expression this -> mn (Expression String)
get'vAlign thisp
  = do let et = undefined :: String
       let r = DotRef et (thisp /\ et) (Id et "vAlign")
       return r
 
getm'vAlign ::
            (Monad mn, CHTMLTableRowElement this) =>
              Expression this -> mn (Expression String)
getm'vAlign = get'vAlign
 
mkTr ::
     (Monad mn, CHTMLDocument a) =>
       Expression a -> mn (Expression THTMLTableRowElement)
mkTr = createElement (StringLit "tr" "tr")

